Bug 442939 - Optimize query.cgi to filter products/components/versions/milestones if form vars passed in and useajax is on
Optimize query.cgi to filter products/components/versions/milestones if form ...
Product: Bugzilla
Classification: Community
Component: Query/Bug List (Show other bugs)
All Linux
low Severity low (vote)
: ---
: ---
Assigned To: David Lawrence
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2008-04-17 14:33 EDT by David Lawrence
Modified: 2013-06-24 00:17 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-04-15 17:35:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Lawrence 2008-04-17 14:33:56 EDT
Description of problem:
When a person is editing a saved search or loading query.cgi with reloaded list
of products/classifications, go ahead on filter the
components/versions/milestones before rendering the template. This will further
cut down on HTML that is sent to the browser on initial page load. If a person
then selects a new classification and/or product, ajax calls will be made to
update the selects as normal.
Comment 1 David Lawrence 2008-07-18 18:15:07 EDT
Removing as a blocker as this is really a RFE anyway since the current beta
mimics what is on production with better performance. We can address this post
release to enhance the query.cgi page performance even further.
Comment 2 David Lawrence 2009-04-15 17:35:57 EDT
No longer relevant as query.cgi no longer uses ajax for populating components/versions/milestones.


Note You need to log in before you can comment on or make changes to this bug.